CVE-2005-0465
CVSS2.1
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:46:22
NMCOPS    

[原文]gr_osview in SGI IRIX does not drop privileges before opening files, which allows local users to overwrite arbitrary files via the -s option.


[CNNVD]SGI IRIX gr_osview本地文件覆盖漏洞(CNNVD-200505-372)

        IRIX是一款由SGI公司开发和维护的商业性质UNIX操作系统。
        攻击者可以本地利用IRIX操作系统所捆绑的gr_osview命令中存在的文件覆盖漏洞改写任意文件,无论其权限如何。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sgi:irix:6.5.4mSGI IRIX 6.5.4m
cpe:/o:sgi:irix:6.0SGI IRIX 6.0
cpe:/o:sgi:irix:4.0.5aSGI IRIX 4.0.5A
cpe:/o:sgi:irix:6.5.16SGI IRIX 6.5.16
cpe:/o:sgi:irix:4.0.5_iopSGI IRIX 4.0.5 IOP
cpe:/o:sgi:irix:6.5.5fSGI IRIX 6.5.5f
cpe:/o:sgi:irix:6.5.9fSGI IRIX 6.5.9f
cpe:/o:sgi:irix:6.0.1SGI IRIX 6.0.1
cpe:/o:sgi:irix:6.3SGI IRIX 6.3
cpe:/o:sgi:irix:6.5.6fSGI IRIX 6.5.6f
cpe:/o:sgi:irix:4.0.5fSGI IRIX 4.0.5F
cpe:/o:sgi:irix:6.5.3fSGI IRIX 6.5.3f
cpe:/o:sgi:irix:3.3.2
cpe:/o:sgi:irix:6.5.12fSGI IRIX 6.5.12f
cpe:/o:sgi:irix:4.0.4tSGI IRIX 4.0.4T
cpe:/o:sgi:irix:5.0.1SGI IRIX 5.0.1
cpe:/o:sgi:irix:4.0.4SGI IRIX 4.0.4
cpe:/o:sgi:irix:6.5.5SGI IRIX 6.5.5
cpe:/o:sgi:irix:5.1SGI IRIX 5.1
cpe:/o:sgi:irix:3.3.1
cpe:/o:sgi:irix:6.5.8fSGI IRIX 6.5.8f
cpe:/o:sgi:irix:6.5.20SGI IRIX 6.5.20
cpe:/o:sgi:irix:6.5.20fSGI IRIX 6.5.20f
cpe:/o:sgi:irix:6.1SGI IRIX 6.1
cpe:/o:sgi:irix:6.5.17fSGI IRIX 6.5.17f
cpe:/o:sgi:irix:6.5.21SGI IRIX 6.5.21
cpe:/o:sgi:irix:3.3
cpe:/o:sgi:irix:6.5.15fSGI IRIX 6.5.15f
cpe:/o:sgi:irix:6.4SGI IRIX 6.4
cpe:/o:sgi:irix:6.5.13SGI IRIX 6.5.13
cpe:/o:sgi:irix:6.5.11SGI IRIX 6.5.11
cpe:/o:sgi:irix:6.5.19mSGI IRIX 6.5.19m
cpe:/o:sgi:irix:6.5.9SGI IRIX 6.5.9
cpe:/o:sgi:irix:6.5.21fSGI IRIX 6.5.21f
cpe:/o:sgi:irix:6.5.12SGI IRIX 6.5.12
cpe:/o:sgi:irix:3.3.3
cpe:/o:sgi:irix:4.0.5hSGI IRIX 4.0.5H
cpe:/o:sgi:irix:6.5.7fSGI IRIX 6.5.7f
cpe:/o:sgi:irix:6.5.11fSGI IRIX 6.5.11f
cpe:/o:sgi:irix:3.2
cpe:/o:sgi:irix:6.5.15mSGI IRIX 6.5.15m
cpe:/o:sgi:irix:6.5.16fSGI IRIX 6.5.16f
cpe:/o:sgi:irix:5.3SGI IRIX 5.3
cpe:/o:sgi:irix:5.1.1SGI IRIX 5.1.1
cpe:/o:sgi:irix:6.5.1SGI IRIX 6.5.1
cpe:/o:sgi:irix:6.5.2SGI IRIX 6.5.2
cpe:/o:sgi:irix:4.0.1SGI IRIX 4.0.1
cpe:/o:sgi:irix:6.5.16mSGI IRIX 6.5.16m
cpe:/o:sgi:irix:6.5.11mSGI IRIX 6.5.11m
cpe:/o:sgi:irix:6.5.10fSGI IRIX 6.5.10f
cpe:/o:sgi:irix:6.5.15SGI IRIX 6.5.15
cpe:/o:sgi:irix:6.5.17SGI IRIX 6.5.17
cpe:/o:sgi:irix:6.5.14SGI IRIX 6.5.14
cpe:/o:sgi:irix:5.2SGI IRIX 5.2
cpe:/o:sgi:irix:6.5.17mSGI IRIX 6.5.17m
cpe:/o:sgi:irix:6.5.3SGI IRIX 6.5.3
cpe:/o:sgi:irix:6.0.1::xfsSGI IRIX 6.0.1 XFS
cpe:/o:sgi:irix:6.5.6mSGI IRIX 6.5.6m
cpe:/o:sgi:irix:6.5.8SGI IRIX 6.5.8
cpe:/o:sgi:irix:6.5.20mSGI IRIX 6.5.20m
cpe:/o:sgi:irix:6.5.9mSGI IRIX 6.5.9m
cpe:/o:sgi:irix:5.3::xfsSGI IRIX 5.3 XFS
cpe:/o:sgi:irix:6.5.12mSGI IRIX 6.5.12m
cpe:/o:sgi:irix:6.5_20
cpe:/o:sgi:irix:6.2SGI IRIX 6.2
cpe:/o:sgi:irix:4.0.5gSGI IRIX 4.0.5G
cpe:/o:sgi:irix:4.0.1tSGI IRIX 4.0.1T
cpe:/o:sgi:irix:4.0.5bSGI IRIX 4.0.5B
cpe:/o:sgi:irix:6.5.4SGI IRIX 6.5.4
cpe:/o:sgi:irix:6.5.10SGI IRIX 6.5.10
cpe:/o:sgi:irix:6.5.21mSGI IRIX 6.5.21m
cpe:/o:sgi:irix:6.5.2fSGI IRIX 6.5.2f
cpe:/o:sgi:irix:4.0
cpe:/o:sgi:irix:6.5.10mSGI IRIX 6.5.10m
cpe:/o:sgi:irix:4.0.2SGI IRIX 4.0.2
cpe:/o:sgi:irix:6.5.14fSGI IRIX 6.5.14f
cpe:/o:sgi:irix:6.5.18fSGI IRIX 6.5.18f
cpe:/o:sgi:irix:5.0
cpe:/o:sgi:irix:6.5.22SGI IRIX 6.5.22
cpe:/o:sgi:irix:6.5.6SGI IRIX 6.5.6
cpe:/o:sgi:irix:4.0.5eSGI IRIX 4.0.5E
cpe:/o:sgi:irix:6.5.4fSGI IRIX 6.5.4f
cpe:/o:sgi:irix:6.5.8mSGI IRIX 6.5.8m
cpe:/o:sgi:irix:4.0.4bSGI IRIX 4.0.4B
cpe:/o:sgi:irix:6.5.18mSGI IRIX 6.5.18m
cpe:/o:sgi:irix:6.5.19fSGI IRIX 6.5.19f
cpe:/o:sgi:irix:6.5.18SGI IRIX 6.5.18
cpe:/o:sgi:irix:6.5.2mSGI IRIX 6.5.2m
cpe:/o:sgi:irix:6.5.14mSGI IRIX 6.5.14m
cpe:/o:sgi:irix:6.5.13mSGI IRIX 6.5.13m
cpe:/o:sgi:irix:6.5.19SGI IRIX 6.5.19
cpe:/o:sgi:irix:6.5.3mSGI IRIX 6.5.3m
cpe:/o:sgi:irix:6.5.13fSGI IRIX 6.5.13f
cpe:/o:sgi:irix:6.5SGI IRIX 6.5
cpe:/o:sgi:irix:6.5.7SGI IRIX 6.5.7
cpe:/o:sgi:irix:4.0.5SGI IRIX 4.0.5
cpe:/o:sgi:irix:4.0.3SGI IRIX 4.0.3
cpe:/o:sgi:irix:6.5.7mSGI IRIX 6.5.7m
cpe:/o:sgi:irix:6.5.5mSGI IRIX 6.5.5m
cpe:/o:sgi:irix:4.0.5_ipr

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0465
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0465
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-372
(官方数据源) CNNVD

- 其它链接及资源

http://www.idefense.com/application/poi/display?id=225&type=vulnerabilities
(VENDOR_ADVISORY)  IDEFENSE  20050407 SGI IRIX gr_osview File Overwrite Vulnerability
ftp://patches.sgi.com/support/free/security/advisories/20050402-01-P
(PATCH)  SGI  20050402-01-P
http://securitytracker.com/id?1013662
(UNKNOWN)  SECTRACK  1013662
http://secunia.com/advisories/14875
(UNKNOWN)  SECUNIA  14875

- 漏洞信息

SGI IRIX gr_osview本地文件覆盖漏洞
低危 访问验证错误
2005-05-02 00:00:00 2005-10-20 00:00:00
本地  
        IRIX是一款由SGI公司开发和维护的商业性质UNIX操作系统。
        攻击者可以本地利用IRIX操作系统所捆绑的gr_osview命令中存在的文件覆盖漏洞改写任意文件,无论其权限如何。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        ftp://patches.sgi.com/support/free/security/advisories/20050402-01-P.asc

- 漏洞信息 (F37074)

iDEFENSE Security Advisory 2005-04-07.2 (PacketStormID:F37074)
2005-04-17 00:00:00
iDefense Labs  idefense.com
advisory,arbitrary,local
irix
CVE-2005-0465
[点击下载]

iDEFENSE Security Advisory 04.07.05 - Local exploitation of a file overwrite vulnerability in the gr_osview command included in multiple versions of Silicon Graphics Inc.'s IRIX operating system could allow for the overwriting of arbitrary files, regardless of permissions. The vulnerability specifically exists in the way that gr_osview opens user specified files without dropping privileges. When a file is specified using the -s option, it will be opened regardless of permissions, and operating system usage information will be written into it.

SGI IRIX gr_osview File Overwrite Vulnerability 

iDEFENSE Security Advisory 04.07.05
http://www.idefense.com/application/poi/display?type=vulnerabilities
April 7, 2005

I. BACKGROUND

The gr_osview application is a setuid root application that provides a 
graphical display of usage of certain types of operating system 
resources. It is installed by default under multiple versions of IRIX 6.


II. DESCRIPTION

Local exploitation of a file overwrite vulnerability in the gr_osview 
command included in multiple versions of Silicon Graphics Inc.'s IRIX 
operating system could allow for the overwriting of arbitrary files, 
regardless of permissions. 

The vulnerability specifically exists in the way that gr_osview opens 
user specified files without dropping privileges. When a file is 
specified using the "-s" option, it will be opened regardless of 
permissions, and operating system usage information will be written into

it. An example follows: 

user@irix$ gr_osview -s /etc/shadow 

After execution of that command, the system shadow file will be 
overwritten with system usage information. With a damaged shadow file, 
users will no longer be able to log on remotely or locally.

III. ANALYSIS

All that is required to exploit this vulnerability is a local account 
and an open X display, which could be the attacker's home machine or 
another compromised computer. Exploitation does not require any 
knowledge of application internals, making exploitation trivial, even 
for unskilled attackers.

IV. DETECTION

iDEFENSE has confirmed the existence of this vulnerability in SGI IRIX 
version 6.5.22 (maintenance). It is suspected that previous and later 
versions of both the feature and maintenance revisions of IRIX 6.5 are 
also vulnerable.

V. WORKAROUND

Only allow trusted users local access to security-critical systems. 
Alternately, remove the setuid bit from inpview using:

chmod u-s /usr/sbin/gr_osview

VI. VENDOR RESPONSE

This vulnerability has been addressed in SGI BUG 930890.

Related security advisories are available at:
   http://www.sgi.com/support/security/advisories.html
   
Related patches are available at:
   http://www.sgi.com/support/security/patches.html
   ftp://patches.sgi.com/support/free/security/patches/

VII. CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
names CAN-2005-0465 to these issues. This is a candidate for inclusion
in the CVE list (http://cve.mitre.org), which standardizes names for
security problems.

VIII. DISCLOSURE TIMELINE

02/18/2005  Initial vendor notification
02/23/2005  Initial vendor response
04/07/2005  Coordinated public disclosure

IX. CREDIT

The discoverer of this vulnerability wishes to remain anonymous.

Get paid for vulnerability research
http://www.idefense.com/poi/teams/vcp.jsp

Free tools, research and upcoming events
http://labs.idefense.com

X. LEGAL NOTICES

Copyright (c) 2005 iDEFENSE, Inc.

Permission is granted for the redistribution of this alert
electronically. It may not be edited in any way without the express
written consent of iDEFENSE. If you wish to reprint the whole or any
part of this alert in any other medium other than electronically, please
email customerservice@idefense.com for permission.

Disclaimer: The information in the advisory is believed to be accurate
at the time of publishing based on currently available information. Use
of the information constitutes acceptance for use in an AS IS condition.
There are no warranties with regard to this information. Neither the
author nor the publisher accepts any liability for any direct, indirect,
or consequential loss or damage arising from use of, or reliance on,
this information.
    

- 漏洞信息

15350
IRIX gr_osview -s Parameter Arbitrary File Overwrite
Local Access Required Information Disclosure
Loss of Confidentiality, Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

SGI IRIX contains a flaw that may allow a malicious user to open arbitrary files and overwrite them with system usage data. The issue is triggered when envoking the gr_osview utility with the '-s' option occurs. It is possible that the flaw may allow a local user to open arbitrary files and overwrite them with system usage data resulting in a loss of confidentiality and integrity.

- 时间线

2005-04-07 2005-02-18
2005-04-07 2005-04-07

- 解决方案

Upgrade to version 6.5.23 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

SGI IRIX GR_OSView Local Arbitrary File Overwrite Vulnerability
Access Validation Error 13058
No Yes
2005-04-07 12:00:00 2009-07-12 12:56:00
The discoverer of this vulnerability wishes to remain anonymous.

- 受影响的程序版本

SGI IRIX 6.5.22 m
SGI IRIX 6.5.22

- 漏洞讨论

A local file overwrite vulnerability affects SGI IRIX. This issue is due to a failure of the affected utility to drop privileges prior to carrying out critical functionality.

An attacker may leverage this issue to cause the affected utility to write data to any file on the affected computer with superuser privileges. Although unconfirmed, it is possible that this issue may be leveraged for privilege escalation.

It should be noted that although only SGI IRIX 6.5.22(maintenance) has been confirmed vulnerable, it is likely that all IRIX 6.5 versions are affected as well.

- 漏洞利用

No exploit is required to leverage this issue. The following command will corrupt the '/etc/password' file on an affected computer:

gr_osview -s /etc/shadow

- 解决方案

Reportedly the vendor has acknowledged this issue and released patches to address it. This cannot be confirmed currently. Please contact the vendor for more information.

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站